Bug 814943 - [abrt] btrfs-progs-0.19-18.fc18: __libc_message: Process /usr/sbin/btrfs-restore was killed by signal 6 (SIGABRT)
[abrt] btrfs-progs-0.19-18.fc18: __libc_message: Process /usr/sbin/btrfs-rest...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
abrt_hash:fb622060443ce84ec743854be8c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-21 09:45 EDT by Matt Hooper
Modified: 2013-11-26 10:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 10:26:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.99 KB, text/plain)
2012-04-21 09:45 EDT, Matt Hooper
no flags Details

  None (edit)
Description Matt Hooper 2012-04-21 09:45:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.9
backtrace_rating: 4
cmdline:        btrfs-restore /dev/sda btrfs/
crash_function: __libc_message
executable:     /usr/sbin/btrfs-restore
kernel:         3.4.0-0.rc3.git0.1.fc18.i686
pid:            2055
pwd:            /root
remote_result:  NOTFOUND
time:           Sat 21 Apr 2012 03:20:44 PM BST
uid:            0
username:       root
var_log_messages: Apr 21 15:20:44 localhost abrt[2056]: Saved core dump of pid 2055 (/usr/sbin/btrfs-restore) to /var/spool/abrt/ccpp-2012-04-21-15:20:44-2055 (524288 bytes)

backtrace:      Text file, 5109 bytes

comment:
:Failed to mount a device so decided to attempt a restore.
:
:
:# mount -o degraded -t btrfs /dev/sda btrfs/
:Apr 21 15:35:13 localhost kernel: [  325.048482] device fsid 2814c74b-1437-463c-9b41-0d2cea28d047 devid 1 transid 939 /dev/sda
:Apr 21 15:35:13 localhost kernel: [  325.049729] btrfs: allowing degraded mounts
:Apr 21 15:35:13 localhost kernel: [  325.061326] failed mirror was 1
:Apr 21 15:35:13 localhost kernel: [  325.061371] btrfs: failed to read tree root on sda
:Apr 21 15:35:13 localhost kernel: [  325.062551] btrfs warning page private not zero on page 506673643520
:Apr 21 15:35:13 localhost kernel: [  325.062736] btrfs: open_ctree failed
:mount: wrong fs type, bad option, bad superblock on /dev/sda,
:       missing codepage or helper program, or other error
:       In some cases useful info is found in syslog - try
:       dmesg | tail or so
:
:# btrfs-restore /dev/sda btrfs/
:Apr 21 15:35:38 localhost kernel: [  349.548173] device fsid 3cda2e18-9f03-444b-b4bd-bf8f09130fd1 devid 3 transid 165 /dev/sdb
:Apr 21 15:35:38 localhost kernel: [  349.548695] device fsid 3cda2e18-9f03-444b-b4bd-bf8f09130fd1 devid 1 transid 165 /dev/sdc
:Apr 21 15:35:38 localhost kernel: [  349.548856] device fsid 2814c74b-1437-463c-9b41-0d2cea28d047 devid 1 transid 939 /dev/sda
:Apr 21 15:35:38 localhost kernel: [  349.549499] device fsid 3cda2e18-9f03-444b-b4bd-bf8f09130fd1 devid 2 transid 165 /dev/sdd
:Apr 21 15:35:38 localhost kernel: [  349.572683] device fsid 3cda2e18-9f03-444b-b4bd-bf8f09130fd1 devid 3 transid 165 /dev/sdb
:Apr 21 15:35:38 localhost kernel: [  349.573568] device fsid 3cda2e18-9f03-444b-b4bd-bf8f09130fd1 devid 1 transid 165 /dev/sdc
:Apr 21 15:35:38 localhost kernel: [  349.573747] device fsid 2814c74b-1437-463c-9b41-0d2cea28d047 devid 1 transid 939 /dev/sda
:Apr 21 15:35:38 localhost kernel: [  349.574642] device fsid 3cda2e18-9f03-444b-b4bd-bf8f09130fd1 devid 2 transid 165 /dev/sdd
:warning, device 2 is missing
:warning devid 2 not found already
:warning devid 3 not found already
:Check tree block failed, want=506673643520, have=0
:read block failed check_tree_block
:Couldn't read tree root
:*** glibc detected *** btrfs-restore: free(): invalid pointer: 0x44c9d450 ***
:======= Backtrace: =========
:/lib/libc.so.6[0x44b66169]
:btrfs-restore[0x8051c2f]
:btrfs-restore[0x8053ebb]
:btrfs-restore[0x8054436]
:btrfs-restore[0x8049528]
:/lib/libc.so.6(__libc_start_main+0xf5)[0x44b0b635]
:btrfs-restore[0x80499ad]
:======= Memory map: ========
:00cce000-00ccf000 r-xp 00000000 00:00 0          [vdso]
:08048000-08073000 r-xp 00000000 08:44 266581     /usr/sbin/btrfs-restore
:08073000-08074000 r--p 0002a000 08:44 266581     /usr/sbin/btrfs-restore
:08074000-08075000 rw-p 0002b000 08:44 266581     /usr/sbin/btrfs-restore
:08075000-08076000 rw-p 00000000 00:00 0 
:08fbc000-08fff000 rw-p 00000000 00:00 0          [heap]
:44acf000-44aee000 r-xp 00000000 08:44 525610     /usr/lib/ld-2.15.so
:44aee000-44aef000 r--p 0001e000 08:44 525610     /usr/lib/ld-2.15.so
:44aef000-44af0000 rw-p 0001f000 08:44 525610     /usr/lib/ld-2.15.so
:44af2000-44c9b000 r-xp 00000000 08:44 525611     /usr/lib/libc-2.15.so
:44c9b000-44c9d000 r--p 001a8000 08:44 525611     /usr/lib/libc-2.15.so
:44c9d000-44c9e000 rw-p 001aa000 08:44 525611     /usr/lib/libc-2.15.so
:44c9e000-44ca1000 rw-p 00000000 00:00 0 
:44cfe000-44d13000 r-xp 00000000 08:44 525624     /usr/lib/libz.so.1.2.5
:44d13000-44d14000 rw-p 00014000 08:44 525624     /usr/lib/libz.so.1.2.5
:45059000-45075000 r-xp 00000000 08:44 528209     /usr/lib/libgcc_s-4.7.0-20120416.so.1
:45075000-45076000 rw-p 0001b000 08:44 528209     /usr/lib/libgcc_s-4.7.0-20120416.so.1
:4567a000-4567e000 r-xp 00000000 08:44 526105     /usr/lib/libuuid.so.1.3.0
:4567e000-4567f000 r--p 00003000 08:44 526105     /usr/lib/libuuid.so.1.3.0
:4567f000-45680000 rw-p 00004000 08:44 526105     /usr/lib/libuuid.so.1.3.0
:b773c000-b773e000 rw-p 00000000 00:00 0 
:b774c000-b774f000 rw-p 00000000 00:00 0 
:bfa02000-bfa23000 rw-p 00000000 00:00 0          [stack]
:

core_backtrace:
:279af2f4035e31f93ae09fd932e80712890cf1b6 0x416 __kernel_vsyscall linux-gate.so.1 -
:986e10f3eda2f12184a9113cc4334f09a9fa8616 0x2e91f raise libc.so.6 -
:986e10f3eda2f12184a9113cc4334f09a9fa8616 0x30273 abort libc.so.6 -
:986e10f3eda2f12184a9113cc4334f09a9fa8616 0x6c7e5 __libc_message libc.so.6 -
:986e10f3eda2f12184a9113cc4334f09a9fa8616 0x74169 _int_free libc.so.6 -
:30ea4b551e1655dbfc0d2596d0430465462bc751 0x9c2f - [exe] -
:30ea4b551e1655dbfc0d2596d0430465462bc751 0xbebb - [exe] -
:30ea4b551e1655dbfc0d2596d0430465462bc751 0xc436 - [exe] -
:30ea4b551e1655dbfc0d2596d0430465462bc751 0x1528 - [exe] -

dso_list:
:/usr/lib/libuuid.so.1.3.0 libuuid-2.21.1-1.fc18.i686 (Fedora Project) 1334707718
:/usr/sbin/btrfs-restore btrfs-progs-0.19-18.fc18.i686 (Fedora Project) 1334706399
:/usr/lib/libc-2.15.so glibc-2.15-33.fc18.i686 (Fedora Project) 1334707705
:/usr/lib/ld-2.15.so glibc-2.15-33.fc18.i686 (Fedora Project) 1334707705
:/usr/lib/libgcc_s-4.7.0-20120416.so.1 libgcc-4.7.0-2.fc17.i686 (Fedora Project) 1334706022
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1334622153

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=localhost.localdomain
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:USER=root
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:MAIL=/var/spool/mail/root
:PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin
:PWD=/root
:LANG=en_US.UTF-8
:HISTCONTROL=ignoredups
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/root
:LOGNAME=root
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/admin
:XAUTHORITY=/root/.xautheJh1ZX
:_=/sbin/btrfs-restore

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 24115                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       24115                24115                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:001e7000-00203000 r-xp 00000000 08:44 538782     /usr/lib/libgcc_s-4.7.0-20120416.so.1
:00203000-00204000 rw-p 0001b000 08:44 538782     /usr/lib/libgcc_s-4.7.0-20120416.so.1
:00335000-00339000 r-xp 00000000 08:44 527386     /usr/lib/libuuid.so.1.3.0
:00339000-0033a000 r--p 00003000 08:44 527386     /usr/lib/libuuid.so.1.3.0
:0033a000-0033b000 rw-p 00004000 08:44 527386     /usr/lib/libuuid.so.1.3.0
:0033b000-004e4000 r-xp 00000000 08:44 527040     /usr/lib/libc-2.15.so
:004e4000-004e6000 r--p 001a8000 08:44 527040     /usr/lib/libc-2.15.so
:004e6000-004e7000 rw-p 001aa000 08:44 527040     /usr/lib/libc-2.15.so
:004e7000-004ea000 rw-p 00000000 00:00 0 
:00516000-00535000 r-xp 00000000 08:44 527033     /usr/lib/ld-2.15.so
:00535000-00536000 r--p 0001e000 08:44 527033     /usr/lib/ld-2.15.so
:00536000-00537000 rw-p 0001f000 08:44 527033     /usr/lib/ld-2.15.so
:008f2000-008f3000 r-xp 00000000 00:00 0          [vdso]
:00c82000-00c97000 r-xp 00000000 08:44 527361     /usr/lib/libz.so.1.2.5
:00c97000-00c98000 rw-p 00014000 08:44 527361     /usr/lib/libz.so.1.2.5
:08048000-08073000 r-xp 00000000 08:44 262713     /usr/sbin/btrfs-restore
:08073000-08074000 r--p 0002a000 08:44 262713     /usr/sbin/btrfs-restore
:08074000-08075000 rw-p 0002b000 08:44 262713     /usr/sbin/btrfs-restore
:08075000-08076000 rw-p 00000000 00:00 0 
:096e6000-09729000 rw-p 00000000 00:00 0          [heap]
:b776e000-b7770000 rw-p 00000000 00:00 0 
:b777e000-b7781000 rw-p 00000000 00:00 0 
:bfebf000-bfee0000 rw-p 00000000 00:00 0          [stack]

open_fds:
:0:/dev/tty
:pos:	0
:flags:	04002
:1:/dev/pts/0
:pos:	0
:flags:	02
:2:/dev/pts/0
:pos:	0
:flags:	02
:3:/dev/sda
:pos:	0
:flags:	0100000
:4:/dev/sda
:pos:	0
:flags:	0100000
Comment 1 Matt Hooper 2012-04-21 09:45:21 EDT
Created attachment 579180 [details]
File: backtrace
Comment 2 Fedora End Of Life 2013-04-03 11:25:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Eric Sandeen 2013-09-18 11:52:41 EDT
A new git snapshot of btrfs-progs has been pushed to F19 testing.  If possible, please re-test these bugs & feel free to close or comment as appropriate.

Thanks,
-Eric
Comment 4 Eric Sandeen 2013-11-14 14:31:45 EST
This is a mass update of F19 and F20 btrfs-progs bugs.

A btrfs-progs git snapshot has been built in Rawhide and submitted for F19 and F20 testing.

If your bug was reproducible, please re-test with the new build, and update this bug to let us know if it's been resolved.  If so I can add it to the Bodhi errata.

Thanks,
-Eric
Comment 5 Eric Sandeen 2013-11-26 10:26:19 EST
It's probably clear by now that nobody is going to look at these old abrt bugs on ancient btrfs-progs snapshots.  So let's just be honest about it and close them.

Much newer code is being pushed out to F19 and F20 and rawhide; hopefully new abrt issues can be given more attention in the future.

Note You need to log in before you can comment on or make changes to this bug.